CheckoutPayment Intent

List Payment Intents

GET
/openapi/v1/payment-intents

Lists Payment Intents with pagination. Pass filters as query parameters.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Query Parameters

pageNum?integer

Page number, starting from 1. Defaults to 1

Range1 <= value
Default1
pageSize?integer

Number of records per page. Defaults to 10. Maximum 1000

Range1 <= value <= 1000
Default10
referenceNo?string

Fuzzy search that matches referenceNo, description, or metadata

customer?string

The merchant's internal customer ID

status?string

Filters by status. For values, see Payment Intent statuses

Value in"AWAITING_PAYMENT""PROCESSING""PARTIALLY_PAID""PAID""COMPLETED""CANCELED"
currency?string

Fiat currency. Required when you pass amountMin or amountMax

amountMin?string

Minimum amount due, in standard units, inclusive

amountMax?string

Maximum amount due, in standard units, inclusive

createdAfter?string

Start of the creation time range (inclusive), in ISO 8601 with a time zone offset, such as 2026-05-01T00:00:00+08:00. When you pass an offset that contains + in a URL, encode it as %2B

createdBefore?string

End of the creation time range (inclusive), in ISO 8601 with a time zone offset. When you pass an offset that contains + in a URL, encode it as %2B

Response Body

Returns a paginated array of Payment Intent objects.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?
Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payment-intents'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "6a01835979841629378301348ad084af",  "data": {    "records": [      {        "paymentIntentId": "pi_MNOL0POUV8IDPXCD",        "status": "CANCELED",        "clientSecret": "v1.xxx",        "checkoutUrl": "https://app.test.stabofx.com/en/checkout/pi_MNOL0POUV8IDPXCD?secret=v1.xxx",        "amount": "20.00",        "currency": "USD",        "referenceNo": "ORD-20260511-0001",        "receivedAmount": "0.00",        "refundedAmount": "0.00",        "hasRefund": false,        "cancellationReason": "SESSION_EXPIRED",        "expiresAt": "2026-05-11T14:42:34+08:00",        "canceledAt": "2026-05-11T14:43:00+08:00",        "createdAt": "2026-05-11T14:12:34+08:00",        "metadata": {}      }    ],    "total": 1,    "size": 10,    "current": 1,    "pages": 1  }}